import { Command, Graph } from "../interface";
declare class CommandManager {
    command: Record<string, Command>;
    commandQueue: Command[];
    commandIndex: number;
    register: (name: string, command: Command) => void;
    execute: (graph: Graph, name: string, params?: object) => void;
    canExecute(graph: Graph, name: string): boolean;
}
export default CommandManager;
