import { Graph } from "../../common/interface";
import React from "react";
import CommandManager from "../../common/command-manager";
export interface EditorContextProps {
    graph: Graph | null;
    setGraph: (graph: Graph) => void;
    commandManager: CommandManager;
    executeCommand: (name: string, params?: object) => void;
}
export declare const EditorContextProvider: React.Provider<EditorContextProps>;
export declare function useEditorContext(): EditorContextProps;
