declare const _default: {
    redo: import("../../../common/interface").Command<object, import("../../../common/interface").Graph>;
    undo: import("../../../common/interface").Command<object, import("../../../common/interface").Graph>;
    add: import("./base").BaseCommand<import("./add").AddCommandParams, import("../../../common/interface").Graph>;
    remove: import("./base").BaseCommand<import("./remove").RemoveCommandParams, import("../../../common/interface").Graph>;
    update: import("./base").BaseCommand<import("./update").UpdateCommandParams, import("../../../common/interface").Graph & import("../../../common/interface").TreeGraph>;
    copy: import("./base").BaseCommand<object, import("../../../common/interface").Graph>;
    paste: import("./base").BaseCommand<import("./paste").PasteCommandParams, import("../../../common/interface").Graph>;
    pasteHere: import("./base").BaseCommand<import("./paste-here").PasteHereCommandParams, import("../../../common/interface").Graph>;
    zoomIn: import("./base").BaseCommand<object, import("../../../common/interface").Graph>;
    zoomOut: import("./base").BaseCommand<object, import("../../../common/interface").Graph>;
};
export default _default;
