import React, { FunctionComponent } from 'react';
import { FlowData, GraphOptions, GraphReactEventProps } from "../../common/interface";
import './behavior';
interface GraphProps extends Partial<GraphReactEventProps> {
    style?: React.CSSProperties;
    className?: string;
    config: Partial<GraphOptions>;
    data: FlowData;
    parseData: (data: FlowData) => void;
}
declare const GraphComponent: FunctionComponent<GraphProps>;
export default GraphComponent;
