/** 获取图表状态 */
import { GraphState } from "../common/constants";
import { Edge, Graph, Item, Node } from "../common/interface";
/** 生成唯一标识 */
export declare function guid(): any;
export declare function getGraphState(graph: Graph): GraphState;
/** 获取选中节点 */
export declare function getSelectedNodes(graph: Graph): Node[];
/** 获取选中边线 */
export declare function getSelectedEdges(graph: Graph): Edge[];
export declare function isEdge(item: Item): boolean;
/** 清除选中状态 */
export declare function clearSelectedState(graph: Graph, shouldUpdate?: (item: Item) => boolean): void;
/** 执行批量处理 */
export declare function executeBatch(graph: Graph, execute: Function): void;
/** 获取回溯路径 - Flow */
export declare function getFlowRecallEdges(graph: Graph, node: Node, targetIds?: string[], edges?: Edge[]): Edge[];
/** 设置选中元素 */
export declare function setSelectedItems(graph: Graph, items: Item[] | string[]): void;
