import React, { FunctionComponent } from 'react';
import { CommandEvent } from "../../common/interface";
import { EditorEvent } from "../../common/constants";
interface EditorProps {
    styles?: React.CSSProperties;
    className?: string;
    [EditorEvent.onBeforeExecuteCommand]?: (e: CommandEvent) => void;
    [EditorEvent.onAfterExecuteCommand]?: (e: CommandEvent) => void;
}
declare const Editor: FunctionComponent<EditorProps>;
export default Editor;
