import React, { FunctionComponent } from 'react';
import { FlowData, GraphOptions, GraphReactEventProps } from "../../common/interface";
import './behavior';
interface FlowProps extends Partial<GraphReactEventProps> {
    styles?: React.CSSProperties;
    className?: string;
    graphConfig?: Partial<GraphOptions>;
    customModes?: (mode: string, behaviors: any) => object;
    data: FlowData;
}
declare const Flow: FunctionComponent<FlowProps>;
export default Flow;
