import { FunctionComponent } from 'react';
import { Behavior, Command, CustomEdge, CustomNode } from "../../common/interface";
interface RegisterNodeProps {
    name: string;
    config: CustomNode;
    extend?: string;
}
declare const RegisterNode: FunctionComponent<RegisterNodeProps>;
interface RegisterEdgeProps {
    name: string;
    config: CustomEdge;
    extend?: string;
}
declare const RegisterEdge: FunctionComponent<RegisterEdgeProps>;
interface RegisterCommandProps {
    name: string;
    command: Command;
}
declare const RegisterCommand: FunctionComponent<RegisterCommandProps>;
interface RegisterBehaviorProps {
    name: string;
    behavior: Behavior;
}
declare const RegisterBehavior: FunctionComponent<RegisterBehaviorProps>;
export { RegisterNode, RegisterEdge, RegisterCommand, RegisterBehavior };
